dpkg-scansources(1)

NOM
dpkg-scansources - créer des fichiers d'index de sources

SYNOPSIS
dpkg-scansources [options] rep-de-binaires [fichier-override [chemin-à-préfixer]] > Sources

DESCRIPTION
dpkg-scansources recherche des fichiers .dsc dans le répertoire rep-de-binaires indiqué. Ces fichiers sont utilisés pour créer un index de sources Debian, qui est envoyé sur la sortie standard.

The override-file, if given, is used to set priorities in the resulting index records and to override the maintainer field given in the .dsc files. The file can be compressed. See deb-override(5) for the format of this file. NB: Since the override file is indexed by binary, not source, packages, there's a bit of a problem here. The current implementation uses the highest priority of all the binary packages produced by a .dsc file for the priority of the source package, and the override entry for the first binary package listed in the .dsc file to modify maintainer information. This might change.

Le chemin-à-préfixer, s'il est indiqué, est ajouté au début du champ Directory («\ répertoire\ ») dans l'index des sources généré. C'est en règle générale utilisé pour que le champ Directory contienne un chemin depuis la racine de l'archive Debian.

Note\ : Si vous voulez accéder au fichier Sources généré avec apt(8), vous devrez probablement compresser ce fichier avec gzip(1) (pour créer un fichier Sources.gz). Apt ignore les fichiers Sources non compressés sauf pour les accès locaux (c'est-à-dire les sources file://).

OPTIONS

-n, --no-sort
    Ne trie pas les entrées de l'index. Elles sont d'habitude triées en fonction du nom du paquet source.

-e, --extra-override fichier
Scan file to find supplementary overrides (the file can be
    compressed). See deb-extra-override(5) for more information on its format.

-s, --source-override fichier
    Use file as the source override file (the file can be compressed). The default is the name of the override file you specified with .src appended.

    Le format des fichiers override des sources est différent des fichiers override des binaires. Il ne contient que deux champs séparés par des espaces, le premier indique le paquet source et le second, la section. Les lignes blanches et les lignes de commentaire sont ignorées comme à l'habitude. Si un paquet apparaît dans chaque fichier, le fichier des sources est prioritaire pour fixer la section.

--debug
    Active le débogage.

--help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

VOIR AUSSI
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).

AUTEUR
Roderick Schertler <roderick@argon.org>

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.